#!/usr/bin/ruby

require 'levdon'

# Account is not necessary during for free version.
ACCESS_TOKEN      = "TODO: specify your API key."
TARGET_PATH       = "/Users/johndoe/Desktop/data/examples"

api = Levdon.new()
api.option({
  :CLASS    => [:CLASS_ADULT],
  :PARALLEL => 32
})

api.async_start(ACCESS_TOKEN) {|state|
  if(state[:error])
    puts state[:error]
  else
    Levdon.find_image(TARGET_PATH,{:no_check=>true}) {|obj|
      path    = obj[:source_path]
      while(api.queue_size() > 32*4)
        api.poll()
        sleep(0.01)
      end
      
      api.async_predict({:target => path}) {|res|
        if res[:error]
          puts res[:error]
        else
          result = res[:results]
          puts "Score: "+(result[:CLASS_ADULT]*100).to_i.to_s + " : " + path
        end
      }
    }
    
    while(api.queue_size()!=0)
      api.poll()
      sleep(0.01)
    end
    
  end
}
api.close()

